Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodecdatasectionnodevalue Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodecdatasectionnodevalue (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeValue()" method for a CDATASection Node is the content of the CDATASection.

Retrieve the CDATASection node inside the second child of the second employee and check the string returned by the "getNodeValue()" method. It should be equal to "This is a CDATA Section with EntityReference number 2 &ent2;".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D080 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-667469212

Definition at line 47 of file nodecdatasectionnodevalue.java.

## Constructor & Destructor Documentation

nodecdatasectionnodevalue::nodecdatasectionnodevalue | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 49 of file nodecdatasectionnodevalue.java. References DocumentBuilderSetting::notCoalescing, and DOMTest::setFactory().
    00050                                      {
    00051
    00052       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00053 DocumentBuilderSetting.notCoalescing
    00054         };
    00055         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00056         setFactory(testFactory);
    00057
    00058    }

## Member Function Documentation

String nodecdatasectionnodevalue::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 76 of file nodecdatasectionnodevalue.java.
    00076                                 {
    00077       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodecdatasectionnodevalue";
    00078    }

void nodecdatasectionnodevalue::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 79 of file nodecdatasectionnodevalue.java. References DOMTestCase::doMain().
    00079                                           {
    00080         DOMTestCase.doMain(nodecdatasectionnodevalue.class,args);
    00081    }

void nodecdatasectionnodevalue::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 60 of file nodecdatasectionnodevalue.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00060                                                     {
    00061       Document doc;
    00062       NodeList elementList;
    00063       Element cdataName;
    00064       NodeList cdataNode;
    00065       Node child;
    00066       String cdataNodeValue;
    00067       doc = load("staff");
    00068       elementList = doc.getElementsByTagName("name");
    00069       cdataName = (Element)elementList.item(1);
    00070       cdataNode = cdataName.getChildNodes();
    00071       child = cdataNode.item(1);
    00072       cdataNodeValue = child.getNodeValue();
    00073       assertEquals("value","This is a CDATASection with EntityReference number 2 &ent2;",cdataNodeValue);
    00074
    00075    }

The documentation for this class was generated from the following file:

- nodecdatasectionnodevalue.java